<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.party.relation.mapper.BranchRelationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="branchRelationResultMap" type="org.springblade.party.relation.entity.BranchRelation">
        <id column="id" property="id"/>
        <result column="resource_type" property="resourceType"/>
        <result column="resource_id" property="resourceId"/>
        <result column="branch_id" property="branchId"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectBranchRelationPage" resultMap="branchRelationResultMap">
        select * from party_branch_relation where is_deleted = 0
    </select>

</mapper>
